<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Admin extends CI_Controller //class khusus jika login sebagai admin
{
    public function __construct()
    {
        //jangan lupa memberi method construk
        parent::__construct();
        logged_in();
        $this->load->model('m_user');
    }
    public function index()
    {
        //untuk tampilan index view
        $data['user'] = $this->db->get_where('user', ['email' => $this->session->userdata('email')])->row_array(); //menampilkan atau query untuk user dengan kondisi email yang login
        $data['akun'] = $this->db->get('user')->result_array(); //menampilkan atau query untuk user
        $data['title'] = 'Admin Sekolah X';

        //mengirim variabel $data kedalam view
        //pada view harus ditambahkan template karena untuk mengload template yang dibuat terpisah bisa diterapkan disemua menu yang dibuat
        $this->load->view('templates/menuheader', $data);
        $this->load->view('templates/menusidebar', $data);
        $this->load->view('admin/index', $data);
        $this->load->view('templates/menufooter');
    }

    public function datasiswa()
    {

        $data['user'] = $this->db->get_where('user', ['email' => $this->session->userdata('email')])->row_array();
        $data['student'] = $this->db->get('siswa')->result_array();

        $data['title'] = 'Admin Sekolah X';
        //mengirim variabel $data kedalam view

        $this->load->view('templates/menuheader', $data);
        $this->load->view('templates/menusidebar', $data);
        $this->load->view('admin/datasiswa', $data);
        $this->load->view('templates/menufooter');
    }
    public function delete($nis)
    {
        //method untuk delete berdasarkan NIS, 
        $where = array('nis' => $nis); //membuat variabel where untuk penentuan kondisi, dan jangan lupa ini juga dihubungan dengan MODEL utk query deletenya
        $this->m_user->delete_data($where, 'siswa'); //memanggil query delete pada Model_user kedalam method delete
        redirect('admin/datasiswa'); //ketika sukses delete maka halamannya akan mengarah ke folder admin/datasiswa.php
    }

    public function update_student()
    {
        //menangkap inputan nis name date form dari view
        $nis = $this->input->post('nis');
        $name = $this->input->post('name');
        $date = $this->input->post('date');
        $from_school = $this->input->post('from_school');

        //method untuk update berdasarkan NIS, 
        $data = array(
            'name' => $name,
            'date' => $date,
            'from_school' => $from_school,
        );
        $where = array('nis' => $nis);
        //membuat variabel where untuk penentuan kondisi, dan jangan lupa ini juga dihubungan dengan MODEL utk query updatenya
        $this->m_user->edit($where, $data, 'siswa'); //memanggil query edit pada Model_user kedalam method update
        redirect('admin/datasiswa');
    }
}
